Home » MODDING HQ 1.13 » v1.13 Bug Reports » XML Editor Bug!
XML Editor Bug![message #309724] Sat, 01 September 2012 08:34 Go to next message
NewAgeOfPower

 
Messages:112
Registered:June 2010
Every Grenade Launcher I've tried to edit now becomes practically unusable. :confused:
http://imgur.com/AnS1P

No matter what I do, this happens to every grenade launcher I have open when I save!

[Updated on: Sat, 01 September 2012 08:35] by Moderator

Re: XML Editor Bug![message #309731] Sat, 01 September 2012 16:50 Go to previous messageGo to next message
Sam Hotte

 
Messages:2020
Registered:March 2009
Location: Middle of Germany
Would be helpful if you added which version of game and XML editor you are referring to ...
Re: XML Editor Bug![message #309832] Thu, 06 September 2012 02:23 Go to previous messageGo to next message
NewAgeOfPower

 
Messages:112
Registered:June 2010
0.60... included with the latest 1.13 mod
Re: XML Editor Bug![message #309834] Thu, 06 September 2012 09:56 Go to previous messageGo to next message
JMich

 
Messages:575
Registered:January 2011
Location: Greece
Latest XML Editor version is 0.98.0 or so.
Latest 1.13 mod is in the range of 55xx (or 15xx if you refer to gamefiles).

Either grab a newer XML Editor, or a newer version of whichever mod it is you are using, and no "latest 1.13 mod" doesn't tell us anything.
Re: XML Editor Bug![message #309838] Thu, 06 September 2012 17:33 Go to previous messageGo to next message
Sam Hotte

 
Messages:2020
Registered:March 2009
Location: Middle of Germany
He probably meant, that he is using current official relase version (4870) that comes with XML Editor v0.60 ...
Re: XML Editor Bug![message #309903] Sat, 08 September 2012 09:27 Go to previous messageGo to next message
NewAgeOfPower

 
Messages:112
Registered:June 2010
Apologies. Is there a newer stable 1.13?
Re: XML Editor Bug![message #309905] Sat, 08 September 2012 14:26 Go to previous messageGo to next message
JMich

 
Messages:575
Registered:January 2011
Location: Greece
Latest stable is 4870, and it had a bugfix as well. Will download it and see if I can reproduce the bug, and if so, I'll upload a fix.
Re: XML Editor Bug![message #309907] Sat, 08 September 2012 17:07 Go to previous messageGo to next message
NewAgeOfPower

 
Messages:112
Registered:June 2010
Where may I download a newer XML editor?
Re: XML Editor Bug![message #309911] Sat, 08 September 2012 18:32 Go to previous messageGo to next message
JMich

 
Messages:575
Registered:January 2011
Location: Greece
There are a few versions on my Skydrive, but I don't think they'll work with 4870.
Re: XML Editor Bug![message #309944] Sun, 09 September 2012 23:07 Go to previous messageGo to next message
NewAgeOfPower

 
Messages:112
Registered:June 2010
So... I'm guessing 4870 is considered an obsolete version?

This might sound dumb, but how do I get XML editor to edit other 1.13 mods?

[Updated on: Sun, 09 September 2012 23:08] by Moderator

Re: XML Editor Bug![message #309945] Sun, 09 September 2012 23:27 Go to previous messageGo to next message
Sam Hotte

 
Messages:2020
Registered:March 2009
Location: Middle of Germany
HeavenlySword
So... I'm guessing 4870 is considered an obsolete version?

On the contrary: it's current stable official version.

Quote:
This might sound dumb, but how do I get XML editor to edit other 1.13 mods?

Set accordingly in file XMLEditorInit.xml (with a texteditor)
Re: XML Editor Bug![message #309947] Sun, 09 September 2012 23:53 Go to previous messageGo to next message
JMich

 
Messages:575
Registered:January 2011
Location: Greece
In theory, 4870 (and all stable versions) should contain a working and bug free XML Editor. From then on, whenever a new feature is added to the unstable trunk, the XML Editor is updated for that feature. Some of those revisions will work with older gamefiles, some of those won't. So while 4870 is not (yet) obsolete, it is quite old in terms of development, and the XML Editor has been updated quite a bit since then.
I hope I'll find time tomorrow to check the problem, though real life usually messes with me.
Re: XML Editor Bug![message #309952] Mon, 10 September 2012 00:53 Go to previous messageGo to next message
NewAgeOfPower

 
Messages:112
Registered:June 2010
I'm planning on playing UC after finishing AR- Should I use a newer 1.13 version?

Thanks Sam.
Re: XML Editor Bug![message #309954] Mon, 10 September 2012 01:28 Go to previous messageGo to next message
Sam Hotte

 
Messages:2020
Registered:March 2009
Location: Middle of Germany
UC-1.13 has its own sub-board here; pls have a look there, which versions are recommended, how to install etc.
Re: XML Editor Bug![message #310309] Tue, 18 September 2012 08:58 Go to previous messageGo to next message
NewAgeOfPower

 
Messages:112
Registered:June 2010
Sam_Hotte

Set accordingly in file XMLEditorInit.xml (with a texteditor)


I'm getting an error, attempting to point the editor to UC-1.13;

http://i.imgur.com/Ec91K.jpg

I assume I'm doing it wrong, somehow, but my brain is unable to cogitate exactly what mistake I'm making...

I changed the line:

Data-1.13

to:

Data-UC113

[Updated on: Tue, 18 September 2012 09:00] by Moderator

Re: XML Editor Bug![message #310311] Tue, 18 September 2012 09:22 Go to previous messageGo to next message
Gambigobilla

 
Messages:718
Registered:July 2008
Copy contents of "Data-Graphics" folder int "Data-UC113" folder as instructed in Urban Chaos FAQ. If you move files you're gonna have a bad time. More info at:

http://www.ja-galaxy-forum.com/board/ubbthreads.php/topics/287147/Urban_Chaos_1_13_Hybrid_FAQ_Re.html#Post290957
Re: XML Editor Bug![message #310312] Tue, 18 September 2012 09:25 Go to previous messageGo to next message
NewAgeOfPower

 
Messages:112
Registered:June 2010
Derp derp, I must be retarded.

EDIT: Thanks.

[Updated on: Tue, 18 September 2012 09:34] by Moderator

Re: XML Editor Bug![message #333467] Wed, 04 June 2014 07:51 Go to previous messageGo to next message
NewAgeOfPower

 
Messages:112
Registered:June 2010
New bug, looking through Flugente's WH40k Mod

http://i.imgur.com/ZgIgewc.png

Hmm.

[Updated on: Wed, 04 June 2014 07:52] by Moderator

Re: XML Editor Bug![message #333470] Wed, 04 June 2014 09:47 Go to previous messageGo to next message
JMich

 
Messages:575
Registered:January 2011
Location: Greece
HeavenlySword
New bug, looking through Flugente's WH40k Mod

http://i.imgur.com/ZgIgewc.png

Hmm.
Missing XML file. If WH40K doesn't provide one, copy the one from Data-1.13 there. Same holds true for any other missing XMLs, unless the WH40K mod uses the older file structure, in which case you should use an older XML Editor as well.
Re: XML Editor Bug![message #333472] Wed, 04 June 2014 11:40 Go to previous messageGo to next message
NewAgeOfPower

 
Messages:112
Registered:June 2010
Thanks, solved that error, now

http://i.imgur.com/PH6xRCN.png

new error
Re: XML Editor Bug![message #333474] Wed, 04 June 2014 12:26 Go to previous messageGo to next message
JMich

 
Messages:575
Registered:January 2011
Location: Greece
HeavenlySword
Thanks, solved that error, now

http://i.imgur.com/PH6xRCN.png

new error
It should also mention the file that error appears in. Check line 6, position 3 of said file and correct it.
Re: XML Editor Bug![message #333475] Wed, 04 June 2014 13:41 Go to previous messageGo to next message
NewAgeOfPower

 
Messages:112
Registered:June 2010
JMich
It should also mention the file that error appears in. Check line 6, position 3 of said file and correct it.


Its not mentioning the file : [
Re: XML Editor Bug![message #333477] Wed, 04 June 2014 16:08 Go to previous messageGo to next message
Leonidas

 
Messages:35
Registered:February 2014
Location: Germany
I encountered a serious problem with the editor that prevents it from starting under Wine (for Linux).

OS: Linux Mint 17
Wine: 1.6.2 (Same problem with Wine 1.7)
.net support: Proper Mono files as surrogate installed



Terminal output:
Toggle Spoiler
Re: XML Editor Bug![message #333489] Wed, 04 June 2014 18:12 Go to previous messageGo to next message
JMich

 
Messages:575
Registered:January 2011
Location: Greece
HeavenlySword
JMich
It should also mention the file that error appears in. Check line 6, position 3 of said file and correct it.


Its not mentioning the file : [
Take a look at XMLEditorLog.txt, or look at the splash screen behind the error message. The xml that has invalid data should be visible.
If not, you'll have to look through the xml files to see which one has the erroneous characters.

Leonidas
I encountered a serious problem with the editor that prevents it from starting under Wine (for Linux).

OS: Linux Mint 17
Wine: 1.6.2 (Same problem with Wine 1.7)
.net support: Proper Mono files as surrogate installed
No idea at all. Seems like it can't parse the "XML Editor.exe.config" file properly. Could be a wine error, could be a file error, could be a CaSe error. Unfortunately, I don't know enough about Linux to suggest a fix.
Re: XML Editor Bug![message #333501] Wed, 04 June 2014 19:55 Go to previous messageGo to next message
Gambigobilla

 
Messages:718
Registered:July 2008
Ancient XML editors won't work with WH40K mod (if it runs it'll strip all the nonstandard tags from xml files), which is from ancient builds meaning they are probably not compatible with new XML editor because files are tossed around between those time. Unless you can modify and compile yourself a new xml editor that means no xml editor for you.

TL;DR

XML Editor won't work with WH40K. Edit files manually.

Protip: Use Excel and Notepad++
Re: XML Editor Bug![message #333512] Wed, 04 June 2014 23:00 Go to previous messageGo to next message
NewAgeOfPower

 
Messages:112
Registered:June 2010
Thanks, both of you.

Welp, time to play the game As-Is.
Re: XML Editor Bug![message #333532] Thu, 05 June 2014 18:56 Go to previous messageGo to next message
Leonidas

 
Messages:35
Registered:February 2014
Location: Germany
Quote:
No idea at all. Seems like it can't parse the "XML Editor.exe.config" file properly. Could be a wine error, could be a file error, could be a CaSe error. Unfortunately, I don't know enough about Linux to suggest a fix.

As you can see in my post above, I had to mask the blank character. Perhaps the file could not be read because the editor itself doesn't know that a blank character has to be masked (maybe). How about removing the blank character from the exe and config file (for a test)?
Re: XML Editor Bug![message #333535] Fri, 06 June 2014 10:00 Go to previous messageGo to next message
JMich

 
Messages:575
Registered:January 2011
Location: Greece
Leonidas
How about removing the blank character from the exe and config file (for a test)?
Grab xml_editor_162_nospace.zip from here and see if it works. I think I did it correctly, but just a quick application name change.
Re: XML Editor Bug![message #333539] Fri, 06 June 2014 14:58 Go to previous messageGo to next message
Leonidas

 
Messages:35
Registered:February 2014
Location: Germany
New report:

Toggle Spoiler



Edit:

I don't know if it's relevant to the problem, but Linux is case-sensitive.

[Updated on: Fri, 06 June 2014 15:03] by Moderator

Re: XML Editor Bug![message #333544] Fri, 06 June 2014 19:34 Go to previous messageGo to next message
JMich

 
Messages:575
Registered:January 2011
Location: Greece
Leonidas
I don't know if it's relevant to the problem, but Linux is case-sensitive.
The .config file is generated automatically from the Application Name, so the case should be correct.

It is possible that I have a newer .NET version than what Wine supports, but unsure how to build a lower version one. Will take a look and upload a newer version during the weekend.
Re: XML Editor Bug![message #333547] Sat, 07 June 2014 00:06 Go to previous messageGo to next message
Leonidas

 
Messages:35
Registered:February 2014
Location: Germany
Under Linux Mono is used as a .net replacement. As soon as this replacement is installed (this happens usually with the configuration of wine), .net cannot be installed as it's installation programm recognises another .net version and stops the installation process.

Alas, I know neither how Mono works nor how .net works. The only thing I know is that there was a line in the first pack of error messages (fixme:mscoree:CLRMetaHost_GetRuntime Unrecognized version L"v4.0"), but it is not in the second one.
Re: XML Editor Bug![message #333548] Sat, 07 June 2014 01:15 Go to previous message
RoWa21

 
Messages:2039
Registered:October 2005
Location: Austria
Leonidas
Under Linux Mono is used as a .net replacement. As soon as this replacement is installed (this happens usually with the configuration of wine), .net cannot be installed as it's installation programm recognises another .net version and stops the installation process.

Alas, I know neither how Mono works nor how .net works. The only thing I know is that there was a line in the first pack of error messages (fixme:mscoree:CLRMetaHost_GetRuntime Unrecognized version L"v4.0"), but it is not in the second one.


the problem seems to be, that mono does not support the .net framework 4, which is used for the xml editor.
it is also possible to compile the xml editor with the .net 3.5 framework. then I assume it will work.


Previous Topic: Out of the blue crash in tactical screen
Next Topic: Got a crash upon entering a sector -- SAVEGAME INCLUDED [7249]
Goto Forum:
  


Current Time: Thu Nov 15 14:45:32 EET 2018

Total time taken to generate the page: 0.01539 seconds